USE [Database Name]
GO
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[SoSqlCpgEvents](
	--Cl technique
	[LOG_ID] [bigint] IDENTITY(1,1) NOT NULL,
	[MD5_ID] [bigint] NULL,
	[CPG_ID] [int] NOT NULL,
	[PID_ID] [int] NULL,
	[CID_ID] [int] NULL,
	[PID_ID_DATA] [int] NULL,
	[CID_ID_DATA] [int] NULL,
	[PID_ID_LINK] [int] NULL,
	[CID_ID_LINK] [int] NULL,
	[CPG_ID_EVENT] [int] NULL,
	[PID_ID_EVENT] [int] NULL,
	[CID_ID_EVENT] [int] NULL,
	[LOG_CREATIONDATE] [datetime] NOT NULL,
	--Date relle de la donne
	[LOG_EXTDATE] [date] NOT NULL,
	--ID du BO (Client)
	[bo_id] [int] NOT NULL,
	[MD5Type_ID] [int] NULL,
 CONSTRAINT [PK_dbo.SoSqlCpgEvents] PRIMARY KEY CLUSTERED 
(
	[LOG_ID] ASC,
	[LOG_EXTDATE] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[SoSqlCpgEvents] ADD  DEFAULT (getdate()) FOR [LOG_CREATIONDATE]
GO
ALTER TABLE [dbo].[SoSqlCpgEvents] ADD  CONSTRAINT [PK_dbo.SoSqlCpgEvents] PRIMARY KEY CLUSTERED 
(
	[LOG_ID] ASC,
	[LOG_EXTDATE] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF)
GO
CREATE NONCLUSTERED INDEX [IXD_CPGLOGDATA_MD5ID] ON [dbo].[SoSqlCpgEvents]
(
	[MD5_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF)
GO
CREATE NONCLUSTERED INDEX [IX_PID_ID_LINK_CID_ID_LINK_BO_ID] ON [dbo].[SoSqlCpgEvents]
(
	[PID_ID_LINK] ASC,
	[CID_ID_LINK] ASC
)
INCLUDE([MD5_ID],[CPG_ID],[PID_ID],[CID_ID]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF)
GO
CREATE NONCLUSTERED INDEX [IX_MD5_ID] ON [dbo].[SoSqlCpgEvents]
(
	[MD5_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF)
GO
CREATE NONCLUSTERED INDEX [IX_ID_LINK] ON [dbo].[SoSqlCpgEvents]
(
	[PID_ID_LINK] ASC
)
INCLUDE([LOG_ID]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF)
GO
CREATE NONCLUSTERED INDEX [IX_CPGLOGDATA_CPGID] ON [dbo].[SoSqlCpgEvents]
(
	[CPG_ID] ASC,
	[LOG_EXTDATE] ASC
)
INCLUDE([MD5_ID],[PID_ID],[CID_ID]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF)
GO
CREATE NONCLUSTERED INDEX [IX_CPGLOGDATA_CPG_ID_PID_ID_LINK_BO_ID] ON [dbo].[SoSqlCpgEvents]
(
	[CPG_ID] ASC,
	[PID_ID_LINK] ASC
)
INCLUDE([LOG_ID],[MD5_ID],[PID_ID]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF)
GO



